# Class CIM_Log
extends CIM_EnabledLogicalElement

Log represents any type of event, error or informational register or chronicle. The object describes the existence of the log and its characteristics. Log does not dictate the form of the data represented or how records/messages are stored in the log and/or accessed. Subclasses will define the appropriate methods and behavior.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Log

## Direct Known Subclasses

CIM_MessageLog
CIM_RecordLog

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Description | string | Log represents any type of event, error or informational register or chronicle. The object describes the existence of the log and its characteristics. Log does not dictate the form of the data represented or how records/messages are stored in the log and/or accessed. Subclasses will define the appropriate methods and behavior.
UMLPackagePath | string | CIM::System::Logs
Version | string | 2.18.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CurrentNumberOfRecords | uint64 |
Description | string | Current number of records in the Log.
Gauge | boolean | true
LogState | uint16 | 4

Description

string

LogState is an integer enumeration that indicates the current state of a log represented by CIM_Log subclasses. LogState is to be used in conjunction with the EnabledState property to fully describe the current state of the log. The following text briefly summarizes the various log states: Unknown (0) indicates the state of the log is unknown. Normal (2) indicates that the log is or could be executing logging commands, will process any queued log entries, and will queue new logging requests. Erasing (3) indicates that the log is being erased. Not Applicable (4) indicates the log does not support representing a log state.

ModelCorrespondence | string | CIM_EnabledLogicalElement.EnabledState
ValueMap | string | 0, 2, 3, 4, .., 32768..65535
Values | string | Unknown, Normal, Erasing, Not Applicable, DMTF Reserved, Vendor Reserved
MaxNumberOfRecords | uint64 |
Description | string | Maximum number of records that can be captured in the Log. If undefined, a value of zero should be specified.
OverwritePolicy | uint16 | 0

Description

string

OverwritePolicy is an integer enumeration that indicates whether the log, represented by the CIM_Log subclasses, can overwrite its entries.Unknown (0) indicates the log's overwrite policy is unknown. Wraps when Full (2) indicates that the log overwrites its entries with new entries when the log has reached its maximum capacity. Never Overwrites (7) indicates that the log never overwrites its entries by the new entries.

ValueMap | string | 0, 2, 7, .., 32768..65535
Values | string | Unknown, Wraps When Full, Never Overwrites, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Local Class Methods

#### ClearLog (uint32)

#### Method Qualifiers (ClearLog)

Name | Data Type | Value
--- | --- | ---
Description | string | Requests that the Log be cleared of all entries. The return value should be 0 if the request was successfully executed, 1 if the request is not supported, and some other value, as indicated by the ValueMap/Values qualifiers, if an error occurred.
ValueMap | string | 0, 1, 2, 3, 4, 5, 6..0x0FFF, 0x1000..0x7FFF, 0x8000..
Values | string | Completed with no error, Not Supported, Unspecified Error, Timeout, Failed, Invalid Parameter, DMTF_Reserved, Method_Reserved, Vendor_Reserved

#### Method Parameters (ClearLog)

Name | Type | Qualifiers
--- | --- | ---
Name | Data Type | Value

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement